package com.mortals.xhx.module.matters.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.matters.model.vo.MattersVo;
/**
* 事项列实体对象
*
* @author zxfei
* @date 2022-03-30
*/

public class MattersEntity extends MattersVo {
    private static final long serialVersionUID = 1L;

    /**
    * 区域编码
    */
    private String areaCode;
    /**
    * 部门编号
    */
    private String deptCode;
    /**
    * 行政权力编号
    */
    private String powerCode;
    /**
    * 主题编号
    */
    private String themeCode;
    /**
    * 服务类型编号
    */
    private String usertypeCode;
    /**
    * 事项编号
    */
    private String matterCode;
    /**
    * 事项名称
    */
    private String name;
    /**
    * 事项组名
    */
    private String groupName;
    /**
    * 事项详情链接
    */
    private String url;
    /**
    * 是否获取事项详情
    */
    private String haveGetMatterInfo;



    public MattersEntity(){}
    /**
    * 获取 区域编码
    * @return String
    */
    public String getAreaCode(){
        return areaCode;
    }
    /**
    * 设置 区域编码
    * @param areaCode
    */
    public void setAreaCode(String areaCode){
        this.areaCode = areaCode;
    }
    /**
    * 获取 部门编号
    * @return String
    */
    public String getDeptCode(){
        return deptCode;
    }
    /**
    * 设置 部门编号
    * @param deptCode
    */
    public void setDeptCode(String deptCode){
        this.deptCode = deptCode;
    }
    /**
    * 获取 行政权力编号
    * @return String
    */
    public String getPowerCode(){
        return powerCode;
    }
    /**
    * 设置 行政权力编号
    * @param powerCode
    */
    public void setPowerCode(String powerCode){
        this.powerCode = powerCode;
    }
    /**
    * 获取 主题编号
    * @return String
    */
    public String getThemeCode(){
        return themeCode;
    }
    /**
    * 设置 主题编号
    * @param themeCode
    */
    public void setThemeCode(String themeCode){
        this.themeCode = themeCode;
    }
    /**
    * 获取 服务类型编号
    * @return String
    */
    public String getUsertypeCode(){
        return usertypeCode;
    }
    /**
    * 设置 服务类型编号
    * @param usertypeCode
    */
    public void setUsertypeCode(String usertypeCode){
        this.usertypeCode = usertypeCode;
    }
    /**
    * 获取 事项编号
    * @return String
    */
    public String getMatterCode(){
        return matterCode;
    }
    /**
    * 设置 事项编号
    * @param matterCode
    */
    public void setMatterCode(String matterCode){
        this.matterCode = matterCode;
    }
    /**
    * 获取 事项名称
    * @return String
    */
    public String getName(){
        return name;
    }
    /**
    * 设置 事项名称
    * @param name
    */
    public void setName(String name){
        this.name = name;
    }
    /**
    * 获取 事项组名
    * @return String
    */
    public String getGroupName(){
        return groupName;
    }
    /**
    * 设置 事项组名
    * @param groupName
    */
    public void setGroupName(String groupName){
        this.groupName = groupName;
    }
    /**
    * 获取 事项详情链接
    * @return String
    */
    public String getUrl(){
        return url;
    }
    /**
    * 设置 事项详情链接
    * @param url
    */
    public void setUrl(String url){
        this.url = url;
    }
    /**
    * 获取 是否获取事项详情
    * @return String
    */
    public String getHaveGetMatterInfo(){
        return haveGetMatterInfo;
    }
    /**
    * 设置 是否获取事项详情
    * @param haveGetMatterInfo
    */
    public void setHaveGetMatterInfo(String haveGetMatterInfo){
        this.haveGetMatterInfo = haveGetMatterInfo;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof MattersEntity) {
            MattersEntity tmp = (MattersEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",areaCode:").append(getAreaCode());
        sb.append(",deptCode:").append(getDeptCode());
        sb.append(",powerCode:").append(getPowerCode());
        sb.append(",themeCode:").append(getThemeCode());
        sb.append(",usertypeCode:").append(getUsertypeCode());
        sb.append(",matterCode:").append(getMatterCode());
        sb.append(",name:").append(getName());
        sb.append(",groupName:").append(getGroupName());
        sb.append(",url:").append(getUrl());
        sb.append(",haveGetMatterInfo:").append(getHaveGetMatterInfo());
        return sb.toString();
    }

    public void initAttrValue(){

            this.areaCode = null;

            this.deptCode = null;

            this.powerCode = null;

            this.themeCode = null;

            this.usertypeCode = null;

            this.matterCode = null;

            this.name = null;

            this.groupName = null;

            this.url = null;

            this.haveGetMatterInfo = null;
    }
}